## ros-noetic-cob-tricycle-controller 0.8.22

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_tricycle_controller)

find_package(catkin REQUIRED COMPONENTS 
  angles
  cob_base_controller_utils
  controller_interface
  geometry_msgs
  hardware_interface
  nav_msgs
  pluginlib
  realtime_tools
  roscpp
  std_srvs
  tf
)

find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  CATKIN_DEPENDS
    angles
    cob_base_controller_utils
    controller_interface
    geometry_msgs
    hardware_interface
    nav_msgs
    pluginlib
    realtime_tools
    roscpp
    std_srvs
    tf
  DEPENDS Boost
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

### BUILD ###
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/control_plugin.cpp src/odom_plugin.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES controller_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
 DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## ros-noetic-cob-tricycle-controller 0.8.21

=== debian/changelog ===
ros-noetic-cob-tricycle-controller (0.8.21-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.20-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.19-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.18-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.17-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.16-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.15-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Sun, 16 May 2021 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.14-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.13-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.12-1buster) buster; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.11-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.10-1buster) buster; urgency=high

  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.1-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.0-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.8-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.7-1buster) buster; urgency=high

  * Merge pull request #208 <https://github.com/ipa320/cob_control/issues/208> from ipa-jba/melodic_dev
    [Melodic] melodify
  * use urdf::JointConstSharedPtr instead of boost...
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.6-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.5-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Sun, 19 May 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.4-1buster) buster; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.3-1buster) buster; urgency=high

  * Merge pull request #196 <https://github.com/ipa320/cob_control/issues/196> from fmessmer/split_parseWheelTransform
    controller specific parseWheelTransform
  * split parseWheelTransform
  * Merge pull request #192 <https://github.com/ipa320/cob_control/issues/192> from fmessmer/fix/parseWheelTransform
    fix/parse wheel transform
  * fix rotatory direction with proper sign
  * fix rotatory direction
  * fix parseWheelTransform
  * debug parseWheelTransform
  * Merge pull request #191 <https://github.com/ipa320/cob_control/issues/191> from fmessmer/fix_tricycle_odometry
    fix tricycle kinematic formulae
  * keep steer pos for zero command
  * fix tricycle kinematic formulae
  * Merge pull request #190 <https://github.com/ipa320/cob_control/issues/190> from fmessmer/new_tricycle_controller_kinetic
    new tricycle controller kinetic
  * fix angular.z direction
  * implement additional config parameter
  * fix drive velocity factor
  * base radius abs value
  * fix inverse kinematics, choose solution
  * fix forward kinematics
  * implement inverse kinematics for control_plugin
  * fix forward kinematics in odom_plugin
  * use PositionJointInterface for steer_joint
  * fake twist_controller
  * introduce cob_base_controller_utils package
  * parseWheelTransform from urdf
  * add fake control_plugin
  * initial tricycle_controller, fake odom
  * Contributors: Felix Messmer, fmessmer, ipa-fxm, mailto:robot@cob4-21

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 13 Mar 2019 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-cob-tricycle-controller
Section: misc
Priority: optional
Maintainer: Felix Messmer <felix.messmer@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-noetic-angles, ros-noetic-catkin, ros-noetic-cob-base-controller-utils, ros-noetic-controller-interface, ros-noetic-geometry-msgs, ros-noetic-hardware-interface, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-std-srvs, ros-noetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cob-tricycle-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-noetic-angles, ros-noetic-cob-base-controller-utils, ros-noetic-controller-interface, ros-noetic-geometry-msgs, ros-noetic-hardware-interface, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-std-srvs, ros-noetic-tf
Description: The cob_omni_drive_controller package provides a ros_controller plugin for the Care-O-bot tricycle base platform.

## ros-noetic-cob-tricycle-controller 0.8.22

=== debian/changelog ===
ros-noetic-cob-tricycle-controller (0.8.22-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Fri, 28 Apr 2023 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.21-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.20-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.19-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.18-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.17-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.16-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.15-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Sun, 16 May 2021 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.14-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.13-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.12-1focal) focal; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.11-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.10-1focal) focal; urgency=high

  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.1-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-tricycle-controller (0.8.0-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.8-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.7-1focal) focal; urgency=high

  * Merge pull request #208 <https://github.com/ipa320/cob_control/issues/208> from ipa-jba/melodic_dev
    [Melodic] melodify
  * use urdf::JointConstSharedPtr instead of boost...
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.6-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.5-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Sun, 19 May 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.4-1focal) focal; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-tricycle-controller (0.7.3-1focal) focal; urgency=high

  * Merge pull request #196 <https://github.com/ipa320/cob_control/issues/196> from fmessmer/split_parseWheelTransform
    controller specific parseWheelTransform
  * split parseWheelTransform
  * Merge pull request #192 <https://github.com/ipa320/cob_control/issues/192> from fmessmer/fix/parseWheelTransform
    fix/parse wheel transform
  * fix rotatory direction with proper sign
  * fix rotatory direction
  * fix parseWheelTransform
  * debug parseWheelTransform
  * Merge pull request #191 <https://github.com/ipa320/cob_control/issues/191> from fmessmer/fix_tricycle_odometry
    fix tricycle kinematic formulae
  * keep steer pos for zero command
  * fix tricycle kinematic formulae
  * Merge pull request #190 <https://github.com/ipa320/cob_control/issues/190> from fmessmer/new_tricycle_controller_kinetic
    new tricycle controller kinetic
  * fix angular.z direction
  * implement additional config parameter
  * fix drive velocity factor
  * base radius abs value
  * fix inverse kinematics, choose solution
  * fix forward kinematics
  * implement inverse kinematics for control_plugin
  * fix forward kinematics in odom_plugin
  * use PositionJointInterface for steer_joint
  * fake twist_controller
  * introduce cob_base_controller_utils package
  * parseWheelTransform from urdf
  * add fake control_plugin
  * initial tricycle_controller, fake odom
  * Contributors: Felix Messmer, fmessmer, ipa-fxm, mailto:robot@cob4-21

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 13 Mar 2019 23:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-tricycle-controller//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
